using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("DoctorPayInformation")]
    public partial class ReviewerPayInformation : BaseFullAuditEntity
    {
        public Guid DoctorId { get; set; }
        [StringLength(200)]
        public string DoctorNameInBank { get; set; } = string.Empty;

        [StringLength(100)]
        public string IDCard { get; set; } = string.Empty;

        [StringLength(100)]
        public string BankCardNumber { get; set; } = string.Empty;

        [StringLength(200)]
        public string BankName { get; set; } = string.Empty;
        public Guid RankId { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Additional { get; set; }

    }
}
