using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace IRaCIS.Core.Domain.Models
{
	 ///<summary>
	 /// 一致性核查文件
	 ///</summary>
	 [Table("InspectionFile")]	
	 public class InspectionFile : BaseAddAuditEntity
	 {
        #region 导航属性
        [JsonIgnore]
        [ForeignKey("CreateUserId")]
        public User User { get; set; }
        #endregion

        public string FileName { get; set; } = string.Empty;


		public string RelativePath { get; set; } = string.Empty;

        public Guid TrialId { get; set; }



	}

	 
}	 
