
using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace IRaCIS.Core.Domain.Models
{
	 ///<summary>
	 /// 阅片医学问题答案
	 ///</summary>
	 [Table("ReadingMedicineQuestionAnswer")]	
	 public class ReadingMedicineQuestionAnswer : BaseFullAuditEntity
	 {
        #region 导航属性


        [JsonIgnore]
        [ForeignKey("TaskMedicalReviewId")]
        public TaskMedicalReview TaskMedicalReview { get; set; }
        #endregion

        /// <summary>
        /// 医学审核问题Id
        /// </summary>
        public Guid ReadingMedicineQuestionId { get; set; }
		
		/// <summary>
		/// 医学审核Id
		/// </summary>

		public Guid TaskMedicalReviewId { get; set; }

		public Guid VisitTaskId { get; set; }

		
		public string Answer { get; set; } = string.Empty;



    }


}	 
